@use '../../../global/styles-variables' as *;

:host {
	display: block;

	.digi-docs-home-hero {

    &__layout {
      position: relative;
    }

    display: grid;
    align-items: center;
  
    @media screen and (max-width: $digi--breakpoint--large-below) {
      grid-template-rows: auto auto;
      grid-template-columns: 100%;
    }
  
    @media screen and (min-width: $digi--breakpoint--large) {
      grid-template-columns: 61% 39%;
    }
  
    @media screen and (min-width: $digi--breakpoint--x-large) {
      grid-template-columns: 50% 50%;
    }
  
    &__text {
      padding-block: var(--digi--padding--largest-3);
  
      @media screen and (max-width: $digi--breakpoint--large-below) {
        padding-top: var(--digi--padding--large);
        grid-row: 2;
      }

      @media screen and (min-width: $digi--breakpoint--large) {
        padding-inline-end: var(--digi--padding--medium);
      }

    }
  
    &__preamble {
      margin-top: var(--digi--margin--large);
      margin-bottom: var(--digi--padding--largest-2);
      display: block;
    }
  
    &__media {
      padding-bottom: 75%;
  
      @media screen and (max-width: $digi--breakpoint--large-below) {
        position: relative;
        grid-row: 1;
        padding-bottom: 75%;
      }
  
      > div {
        position: absolute;
        width: 100%;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
        background-size: cover;
        background-position: 50% 50%;
        background-repeat: no-repeat;

        @media screen and (min-width: $digi--breakpoint--large) {
          width: 50%;
          left: unset;
        }
      }
  
    }
  }
}
